Bug 501096 - Mock failed test when building tcl
Mock failed test when building tcl
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: mock (Show other bugs)
el5
i386 Linux
low Severity medium
: ---
: ---
Assigned To: David Cantrell
Clark Williams
ActualBug
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-16 01:12 EDT by Robert Bournival
Modified: 2013-01-10 00:13 EST (History)
4 users (show)

See Also:
Fixed In Version: mock-1.1.10-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-19 00:38:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
exec.test error message (1.99 KB, text/plain)
2009-05-16 01:14 EDT, Robert Bournival
no flags Details
Build log (195.26 KB, text/plain)
2009-05-16 02:34 EDT, Robert Bournival
no flags Details
Root log (14.81 KB, text/plain)
2009-05-16 02:36 EDT, Robert Bournival
no flags Details

  None (edit)
Description Robert Bournival 2009-05-16 01:12:13 EDT
mock-0.9.14-1.el5 from EPEL 5Server
on Red Hat Enterprise Linux Server release 5.3 (Tikanga)
build target:tcl-8.4.13-4.el5.src.rpm RHEL 5Client

When I try to build tcl-8.4.13-4.el5.src.rpm, the building fail for 6 hours the http.test and socket.test, mock doesn't take "config_opts['files']['/etc/hosts']" option from the /etc/defaults.cfg but the "config_opts['use_host_resolv'] = True" work.

The build was successful when I put the /ect/hosts manualy with the command "mock --copyin /etc/hosts /etc/hosts" and launching the rebuild with --no-clean for tcl.

The exec.test failed too, the error message is on the attachement. I try to play with:
config_opts['chrootuid'] = os.getuid()
config_opts['chrootgid'] = grp.getgrnam("mock")[2]
config_opts['useradd'] = '/usr/sbin/useradd -m -u %(uid)s -g %(gid)s -d \ %(home)s -n %(user)s' # Fedora/RedHat
config_opts['chrootuser'] = 'brewbuilder'
config_opts['chrootgroup'] = 'brewbuilder'
...without succes.

This 2 errors aren't present when I build outside of the chroot with user non-root with rpmbuild. Only a small non-critical error with http.test.

I dont understand why we have Mock 0.9.14, the requierement for building the 0.9.14 is autoconf 2.61 but we have autoconf 2.59-12 on RHEL 5Server.
Comment 1 Robert Bournival 2009-05-16 01:14:27 EDT
Created attachment 344252 [details]
exec.test error message
Comment 2 Robert Bournival 2009-05-16 02:34:46 EDT
Created attachment 344254 [details]
Build log
Comment 3 Robert Bournival 2009-05-16 02:36:22 EDT
Created attachment 344256 [details]
Root log

mock init ans mock --copyin /etc/hosts /etc/hosts aren't logged for unknown reason
Comment 4 Jesse Keating 2009-06-10 18:05:34 EDT
I have no idea what's going on here... Clark?
Comment 5 Clark Williams 2009-06-10 18:33:46 EDT
nothing leaps out at me.

Can I get that tcl SRPM from somewhere so I can duplicate the build environment?
Comment 6 Clark Williams 2010-09-11 11:17:04 EDT
I have to wonder if this isn't an selinux related issue that has been fixed with the selinux plugin. Does it still happen?
Comment 7 Clark Williams 2011-05-06 16:28:40 EDT
I've built the above listed tcl package with my latest mock (1.1.10/1.0/17) on a F14 host with an epel-5-x86_64 config. I suspect the controlling terminal issue that we've been chasing. 

I think the 1.1.10/1.0.17 I'll release next week will fix this bug.
Comment 8 Fedora Update System 2011-05-13 16:32:00 EDT
mock-1.1.10-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mock-1.1.10-1.fc15
Comment 9 Fedora Update System 2011-05-13 16:37:08 EDT
mock-1.1.10-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/mock-1.1.10-1.fc14
Comment 10 Fedora Update System 2011-05-13 16:41:20 EDT
mock-1.0.17-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mock-1.0.17-1.el5
Comment 11 Fedora Update System 2011-05-13 16:45:33 EDT
mock-1.1.10-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/mock-1.1.10-1.fc13
Comment 12 Fedora Update System 2011-05-13 16:49:46 EDT
mock-1.1.10-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.10-1.el6
Comment 13 Fedora Update System 2011-05-13 20:01:59 EDT
Package mock-1.1.10-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing mock-1.1.10-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/mock-1.1.10-1.el6
then log in and leave karma (feedback).
Comment 14 Fedora Update System 2011-05-19 00:33:31 EDT
mock-1.1.10-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2011-05-24 22:40:50 EDT
mock-1.1.10-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2011-05-24 23:15:21 EDT
mock-1.1.10-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2011-06-02 15:04:59 EDT
mock-1.0.17-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2011-06-02 15:15:05 EDT
mock-1.1.10-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.